Package org.apache.lucene.spatial3d.geom

# Interface Bounded

All Known Subinterfaces:
  `GeoAreaShape`, `GeoBBox`, `GeoBounds`, `GeoCircle`, `GeoDistanceShape`, `GeoMembershipShape`, `GeoPath`, `GeoPointShape`, `GeoPolygon`, `GeoShape`

All Known Implementing Classes:
  `GeoBaseBounds`, `GeoBaseCompositeShape`, `GeoBaseDistanceShape`, `GeoBaseMembershipShape`, `GeoBaseShape`, `GeoCompositeAreaShape`, `GeoCompositeMembershipShape`, `GeoCompositePolygon`, `GeoDegenerateVerticalLine`

public interface Bounded
This interface describes methods that determine what the bounds are for a shape.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getBounds(Bounds bounds)`
  Compute bounds for the shape.

- ## Method Details

  - ### getBounds

    void getBounds(Bounds bounds)
    Compute bounds for the shape.
    Parameters:
      `bounds` - is the input bounds object. The input object will be modified.